QGIS Application - Bug report #15705

composer table item: inlined color picker inaccessible within the "advanced customization

.. pop up

dialog

2016-10-13 10:13 PM - Mathieu Pellerin - nIRV
Status: Closed

Priority: Normal

Assignee: Nyall Dawson
Category: Map Composer/Printing

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23628

Description

An issue has slipped into the composer table item in master whereas the inlined color picker panel is inaccessible when opening it from

the item's "advanced customization..." pop up dialog.

Steps to reproduce

1. Create a new project, and open a new composer window
2. Add a attribute table item to the newly-opened composer

3. Switch to the item properties panel, and click on the [ advanced customization... ] button (in the appearance section)

4. Activate the checkbox of any of the items in there, and click on the color picker button to open it

5. Notice how the color picker opens as an inlined panel within the item properties panel, which happens to be inaccessible due to the

opened pop up dialog

Associated revisions

Revision 721d3c5b - 2016-10-14 08:30 AM - Nyall Dawson

Fix color widget opens in wrong panel (fix #15705)

Revision e15¢93d0 - 2016-10-17 06:25 AM - Nyall Dawson

Fix color widget opens in wrong panel (fix #15705)

(cherry-picked from 721d3c5bfbd33f00ab675edebb3d3aa3854352e3)

History

#1 - 2016-10-13 11:31 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"721d3c5bfbd33f00ab675edebb3d3aal3854352¢e3".
